package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetBusinessCodeBatchIcoll.class */
public class GetBusinessCodeBatchIcoll extends LifeAction {
    private String iCollName;
    private String businessCodeName;

    public String execute(Context context) throws GENEException {
        String businessCode;
        try {
            IndexedCollection batchIcoll = context.getDataElement(this.iCollName);
            int iCollSize = batchIcoll.size();
            String businessFlag = "";
            for (int i = 0; i < iCollSize; i++) {
                String transferType = (String) batchIcoll.getElementAt(i).getDataValue("transferType");
                if ("".equals(businessFlag)) {
                    businessFlag = transferType;
                } else if (!businessFlag.equals(transferType)) {
                    businessFlag = "2";
                }
            }
            if ("0".equals(businessFlag)) {
                businessCode = "002001";
            } else if ("1".equals(businessFlag)) {
                businessCode = "002002";
            } else {
                "2".equals(businessFlag);
                businessCode = "002010";
            }
            context.setDataValue(this.businessCodeName, businessCode);
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", "获取交易码异常", e);
            throw e;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setBusinessCodeName(String businessCodeName) {
        this.businessCodeName = businessCodeName;
    }
}
